@echo off
set OLDPATH=%PATH%
set PATH=..\bin;%PATH%

echo -----------------------------------------------------------------
type awdiag.txt
echo -----------------------------------------------------------------
echo Press ENTER to decompose cavities into cycles in the Klein bottle, 
echo using Serre's diagonalization:
pause>nul
echo -----------------------------------------------------------------

awdiagcub kleinbot.cel

echo -----------------------------------------------------------------
echo Press ENTER to decompose cavities into cycles in the Klein bottle, 
echo using simplicial subdivision and chain homotopy equivalence:
pause>nul
echo -----------------------------------------------------------------

awdiagcubs kleinbot.cel

echo -----------------------------------------------------------------
echo Press ENTER to decompose cavities into cycles in the Klein bottle 
echo represented by means of a simplicial complex:
pause>nul
echo -----------------------------------------------------------------

awdiagsim kleinbot.sim

echo -----------------------------------------------------------------
echo Press ENTER to finish:
pause>nul

set PATH=%OLDPATH%
set OLDPATH=
